MS09-021: Vulnerabilities in Microsoft Office Excel Could Allow Remote Code Execution (969462)

This script is Copyright (C) 2009-2014 Tenable Network Security, Inc.


Synopsis :

It is possible to execute arbitrary code on the remote Windows host
using Microsoft Excel.

Description :

The remote host contains a version of Microsoft Excel / Excel Viewer /
2007 Microsoft Office system or the Microsoft Office Compatibility
Pack that is affected by several buffer overflow and memory corruption
vulnerabilities. If an attacker can trick a user on the affected host
into opening a specially crafted Excel file, any of these issues could
be leveraged to run arbitrary code on the host subject to the user's
privileges.

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS09-021

Solution :

Microsoft has released a set of patches for Excel 2000, 2002, 2003,
and 2007, Excel Viewer and Excel Viewer 2003 as well as the 2007
Microsoft Office system and the Microsoft Office Compatibility Pack.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 39343 ()

Bugtraq ID: 35215
35241
35242
35243
35244
35245
35246

CVE ID: CVE-2009-0549
CVE-2009-0557
CVE-2009-0558
CVE-2009-0559
CVE-2009-0560
CVE-2009-0561
CVE-2009-1134